<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Personasales{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$idzona,$comisionventa1,$comisionventa2,$comisionventa3,$comisionventa4,$comisionventa5,$comisioncobranza1,$comisioncobranza2,$comisioncobranza3,$comisioncobranza4,$comisioncobranza5){
	$sql="INSERT INTO personasales (tipo_persona,nombre,tipo_documento,num_documento,direccion,telefono,email,vehiculo,placa,idzona,comisionventa1,comisionventa2,comisionventa3,comisionventa4,comisionventa5,comisioncobranza1,comisioncobranza2,comisioncobranza3,comisioncobranza4,comisioncobranza5) VALUES ('$tipo_persona','$nombre','$tipo_documento','$num_documento','$direccion','$telefono','$email','$vehiculo','$placa','$idzona','$comisionventa1','$comisionventa2','$comisionventa3','$comisionventa4','$comisionventa5','$comisioncobranza1','$comisioncobranza2','$comisioncobranza3','$comisioncobranza4','$comisioncobranza5')";
 //   echo $sql;
    return ejecutarConsulta($sql);
}

public function editar($idpersonasales,$tipo_persona,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$vehiculo,$placa,$idzona,$comisionventa1,$comisionventa2,$comisionventa3,$comisionventa4,$comisionventa5,$comisioncobranza1,$comisioncobranza2,$comisioncobranza3,$comisioncobranza4,$comisioncobranza5){
	$sql="UPDATE personasales SET tipo_persona='$tipo_persona', nombre='$nombre',tipo_documento='$tipo_documento',num_documento='$num_documento',direccion='$direccion',telefono='$telefono',email='$email',vehiculo='$vehiculo',placa='$placa',idzona='$idzona',comisionventa1='$comisionventa1',comisionventa2='$comisionventa2',comisionventa3='$comisionventa3',comisionventa4='$comisionventa4',comisionventa5='$comisionventa5',comisioncobranza1='$comisioncobranza1',comisioncobranza2='$comisioncobranza2',comisioncobranza3='$comisioncobranza3',comisioncobranza4='$comisioncobranza4',comisioncobranza5='$comisioncobranza5' WHERE idpersonasales='$idpersonasales'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idpersonasales){
	$sql="DELETE FROM personasales WHERE idpersonasales='$idpersonasales'";
	return ejecutarConsulta($sql);
}

public function desactivar($idpersonasales){
	$sql="UPDATE personasales SET condicion='0' WHERE idpersonasales='$idpersonasales'";
	return ejecutarConsulta($sql);
}

public function activar($idpersonasales){
	$sql="UPDATE personasales SET condicion='1' WHERE idpersonasales='$idpersonasales'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idpersonasales){
	$sql="SELECT * FROM personasales WHERE idpersonasales='$idpersonasales'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM personasales WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM personasales WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarg(){
	$sql="SELECT * FROM personasales WHERE tipo_persona='Gerente'";
	return ejecutarConsulta($sql);
}
public function listarv(){
	$sql="SELECT * FROM personasales WHERE tipo_persona='personasales'";
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT v.idpersonasales, v.idzona, v.tipo_persona, v.nombre, v.tipo_documento, v.num_documento, v.direccion, v.telefono, v.email, v.vehiculo, v.placa, z.nombre as zona, v.condicion FROM personasales v LEFT JOIN zona z ON v.idzona = z.idzona";
	return ejecutarConsulta($sql);
}

public function listarcomision(){
	$sql="SELECT * FROM personasales WHERE condicion=1";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

 ?>
